INSTRUCTIONS:
Scroll down until you reach your current version (right click lbeweb40.dll, select Properties, Version). Then work
your way back up implementing any database changes as you go.  Changes to the dll and the .asp pages are cumulative, so
you just need to copy across these from the most recent zip file to your web site.  You will need to re-register
lbeweb40.dll with regsvr32:

From a command prompt:

c:\winnt\system32\regsvr32 "c:\program files\lbe web helpdesk\lbeweb40.dll"

(change the paths appropriately).  You may have to stop/restart IIS and/or the server before you are allowed to do this.

If you have had custom pages developed you need to contact LBE before proceeding.
=======================================================================================
Version 4.0.0.79
=======================================================================================

1. Custom fields can now be displayed as drop-down selection lists.

Items affected:
custom.asp, selhead.asp, assetedit.asp,astedit.asp, 
catedit.asp, contactedit.asp, custedit.asp,
deptedit.asp, opedit.asp, jobedit.asp,jobsel.asp,jobsrch.asp,priedit.asp

=======================================================================================
Version 4.0.0.78
=======================================================================================
1. Added </form> tag in change password screen
2. Removed superfluous </div> tag in oplogin.asp

Items affected:
oplogin.asp, chgpwd.asp

=======================================================================================
Version 4.0.0.77
=======================================================================================
1. Fixed potential formatting problem of Job History on Job Detail view.
2. Email escalation notification was specifying previous priority.

Items affected:
jobsel.asp, lbeweb40.dll

=======================================================================================
Version 4.0.0.76
=======================================================================================
1. Bug fix for french verison
2. Correct formatting of #OPLOGIN tag in email template when operator names contains spaces


Items affected:

lbeweb40.dll

=======================================================================================
Version 4.0.0.75
=======================================================================================
1. Support for French version.
2. Guests can see their linked files.

Items affected:

lbeweb40.dll, lbewebconfig.exe, jobsel.asp, linksel.asp

=======================================================================================
Version 4.0.0.74
=======================================================================================
1. Fixed potential formatting problem on job search page.
2. Fixed date problem with Sql Server if day of month < 10

Items affected:

jobsel.asp, lbeweb40.dll

=======================================================================================
Version 4.0.0.73
=======================================================================================
1. Fixed error when search Operators on email address
2. Job detail view showing Job Status and Completion status swapped around


Items affected:

Opsel.asp, jobsel.asp, lbeweb40.dll

=======================================================================================
Version 4.0.0.72
=======================================================================================
1. Inserted extra explanation of common login error on the operator login page.
2. Additional metatag to prevent caching.
3. Fixed bug, which if already logged in, allowed one to log in with an invalid username/password,
4. Fixed bug, which if operator restricted to one customer, could still see all Assets on the Action Job page.
5. Fixed javascript bug  with reports when restricted to one customer only.
6. Fixed date related syntax errors when using Sql Server with some regional settings.
7. New configuration utility instead of manually editing global.asa
8. Fixed "input past end of file" bug if newjob.txt file is empty.

Items affected:
oplogin.asp, pagehead.asp, jobedit.asp, daterange.asp, repcommon.asp, repcomp1.asp, repop1.asp,
repspencus.asp, repspencon.asp, repspendep.asp, repspent2.asp, repspent3.asp, repspent1.asp,
repspent4.asp, datefunc.asp, help.htm, lbeweb40.dll, lbewebconfig.exe

No database changes

=======================================================================================
Version 4.0.0.71
=======================================================================================
1. Email templates now give you complete control over email content.
Please see "Customize e-mails sent by the helpdesk" in the help.
2. Can now select which Customer (or "All Customers") that are included in reports
3. Several operator-related reports now allow you to select which operator (or all) is included in the report.
4. Support for Spanish version (see Allcybersites Corporation - allcybersites@cantv.net for more information)
5. If an operator is only allowed to see 1 customer, this affects **ALL** reports.
6. Fixed bug when adding operator from the Jobs page using + buttons
7. Fixed bug when adding customer from dept page using the + button
8. Removed dropdown on Action Job page to select Action notes or History for the email as this is
now controlled by the templates.
9. Email check boxes on Action Job page now remember their values correctly.
10. Version number displayed on web page reflects the lbeweb40.dll version number.
11. Fixed bug which would overstate numbers on the  "Number of Jobs Completed by Operator Per Month/Week" reports
12. Removed repsel.asp, repedit.asp, repupdate.asp as these were never implemented.
13. Fixed incorrect results from "Number of Jobs Completed by Operator Per Month/Week" reports.
14. Fixed incorrect results from "Average spending by Operator" reports.
15. Prevented double-clicking of submit on the login page, this will help to stop phantom logins.
16. "Spending by Operator and Category" report now excludes any with zero money and time spent.
17. Mailtag value removed from global.asa as no longer necessary due to email templates feature.

Items affected: lbeweb40.dll, Jobupdate.asp, deptupdate.asp, help.htm, johedit.asp, daterange.asp,
repact.asp, repcommon.asp, repcomp1.asp, repjpm.asp, repjpw.asp, repop1.asp,
repperast.asp, reppercat.asp, reppercon.asp, reppercus.asp, repperdep.asp, repperop.asp,
repperpri.asp, repspencon.asp, repspencus.asp, repspendep.asp, repspent.asp,
repspent1.asp, repspent2.asp, repspent3.asp, repspent4.asp,
respsel.asp, repedit.asp, repupdate.asp

New files:
email_job_closed_contact.txt
email_job_closed_operator.txt
email_job_hold_contact.txt
email_job_hold_operator.txt
email_job_open_contact.txt
email_job_open_operator.txt
email_job_escalate_manager.txt
email_job_escalate_operator.txt

=======================================================================================
Version 4.0.0.70
=======================================================================================

1. Guest login must use the complete email address (not just a portion) of the email address registered.
2. If operator was limited to a single customers, it was still possible to see all jobs in some cases.
3. Re-formatted knowledge base results table.
4. Can now click on End-user in Asset search page to go direct to the Customer Contacts Page for that person.
5. When creating a new job and using search boxes, can now enter a Customer Name and click Select to search on.
6. Fixed bug if used + button to add new contact on job page when using organization type C

Items affected: lbeweb40.dll, jobsel.asp, kb.asp, assetsel.asp, selhead.asp

=======================================================================================
Version 4.0.0.69
=======================================================================================

1. Added customer signature box to jobsheet
2. 'Hidden' customer contacts (edit the database, set the deleted column to 1), are no longer shown
in the dropdown lists when creating a new job.

Items affected: jobsel.asp, jobedit.asp, lbeweb40.dll


=======================================================================================
Version 4.0.0.68
=======================================================================================
1. Recompiled dll with options to overcome a memory leak issue with the VB runtime.
2. Fixed syntax error bug in securent.asp

lbeweb40.dll, securent.asp


=======================================================================================
Version 4.0.0.67
=======================================================================================
1. On Hold Jobs can now be included/excluded from Helpdesk Activity reports
2. Minor bug fixes

lbeweb40.dll, jobedit.asp, jobsel.asp, repact.asp, daterange.asp


=======================================================================================
Version 4.0.0.66
=======================================================================================

1. Fixed bug which could affect sending of email if your mailservertype in global.asa is SMTP or MAPI
2. Securent.asp now checks the Contact record's Custom1 and Custom2 field for the NT username.
3. Fixed non-sending of email if your mailservertype in global.asa is ASPEMAIL or CDONTS and are not previewing message first.
4. Fixed "not a valid month" error with certain Oracle language settings.
5. Added link to help on pageheader for guests
6. Included Category in Jobs search summary view
7. Incorporated separate MailSenderName (required by some mail installations).
8. On Hold jobs are excluded from the Helpdesk Activity report.
9. Can limit an operator to seeing data from a single customer.
(N.B. This also affects those reports with "Customer" in their title, but not any others).
10. When a "Default Contact" is created, any e-mail address specified for the customer is copied to the new contact.
11. Job edit window remembers the e-mail checkbox settings you used last time.


Items affected:

lbeweb40.dll, global.asa,
browser.asp, selhead.asp, selfoot.asp,
securent.asp, mailsend.asp,
gstlogin.asp, jobupdate.asp,
pagehead.asp, jobsel.asp,
custedit.asp, custsel.asp, custupdate.asp
contactedit.asp, contactsel.asp
deptedit.asp, deptsel.asp
assetedit.asp, assetsel.asp,
linkedit.asp, linksel.asp,
jobedit.asp, jobsel.asp,
opedit.asp, opsel.asp,
repact.asp, edittip.asp,
reppercon.asp, reppercus.asp, repperdep.asp
repspencon.asp, repspencus.asp, repspendep.asp,

database (see below)

ACCESS
======
ALTER TABLE users add column custid long null
update users set custid = 0
Delete from opwindowsetting where winname = 'FRMOPERATORS'
delete from gridexsql where type = 'OPERATORS' or type = 'LINKEDFILES'
INSERT INTO gridexsql (type, sqlSelect) values ('OPERATORS',  'SELECT users.User_Id AS Id, users.User_Name AS Name, users.Email, users.Custom1, users.Custom2, Customers.Customer_Name as Restricted_to_Customer FROM users LEFT JOIN Customers ON users.custid = Customers.Customer_Id WHERE users.Deleted=0')
INSERT INTO gridexsql (type, sqlSelect) values ('LINKEDFILES','SELECT linkedfile.id, linkedfile.jobid AS Job_Id, linkedfile.description, linkedfile.filename FROM (((linkedfile INNER JOIN jobs ON linkedfile.jobid = jobs.Job_Id) INNER JOIN Person ON jobs.Customer_Id = Person.Id) INNER JOIN Dept ON Person.Dept_Id = Dept.Id) INNER JOIN Customers ON Dept.Cust_Id = Customers.Customer_Id where customers.deleted=0 and dept.deleted=0 and person.deleted=0')

You will need MS Access 2000 to run this query. If you don't have it or are not sure how to run
queries in Access, please contact support@lbehelpdesk.com

ORACLE
======
ALTER TABLE users add  custid number (11,0) default 0 null;
update users set custid = 0;
Delete from opwindowsetting where winname = 'FRMOPERATORS';
delete from gridexsql where type = 'OPERATORS' or type = 'LINKEDFILES';
INSERT INTO gridexsql (type, sqlSelect)
values ('OPERATORS',
'SELECT users.User_Id AS Id, users.User_Name AS Name, users.Email, users.Custom1, users.Custom2, Customers.Customer_Name as Restricted_to_Customer FROM users,customers WHERE users.custid = customers.customer_id(+) and users.Deleted=0');

INSERT INTO gridexsql (type, sqlselect) values ('LINKEDFILES',
'Select linkedfile.Id, linkedfile.jobid as Job_Id, linkedfile.Description, linkedfile.Filename FROM jobs,linkedfile,dept,person,customers ' ||
'WHERE  (dept.cust_id = customers.customer_id) and (person.dept_id = dept.cust_id) ' ||
'and (jobs.customer_id = person.id) and (linkedfile.jobid = jobs.job_id) ' ||
'And (customers.deleted=0) and (dept.deleted=0) and (person.deleted=0)');
commit;


SQL Server
==========
USE lbehelpdesk
GO
ALTER TABLE users add  custid int null default 0
GO
update users set custid = 0
GO
delete from gridexsql where type = 'OPERATORS' or type = 'LINKEDFILES'
GO
INSERT INTO gridexsql (type, sqlSelect) values ('OPERATORS',  'SELECT users.User_Id AS Id, users.User_Name AS Name, users.Email, users.Custom1, users.Custom2, Customers.Customer_Name as Restricted_to_Customer FROM users LEFT JOIN Customers ON users.custid = Customers.Customer_Id WHERE users.Deleted=0')
GO
INSERT INTO gridexsql (type, sqlSelect) values ('LINKEDFILES','SELECT linkedfile.id, linkedfile.jobid AS Job_Id, linkedfile.description, linkedfile.filename FROM (((linkedfile INNER JOIN jobs ON linkedfile.jobid = jobs.Job_Id) INNER JOIN Person ON jobs.Customer_Id = Person.Id) INNER JOIN Dept ON Person.Dept_Id = Dept.Id) INNER JOIN Customers ON Dept.Cust_Id = Customers.Customer_Id where customers.deleted=0 and dept.deleted=0 and person.deleted=0')
GO


=======================================================================================
Version 4.0.65
=======================================================================================

1. Email notification now has correct order: Problem/To Do/Solution, not Problem/Solution/To do

2. Increased width of fields in guest registration page


Items affected: lbeweb40.dll, gstreg.asp


=======================================================================================
Version 4.0.64
=======================================================================================

1. Knowledge base search now searches Solution as well as Problem.
2. Email notification to Customer Contact/Operator now include the Contact's email/Operator name.
3. Jobsheet display now include solution if there is one.


Items affected: lbeweb40.dll, oplogin.asp, gstlogin.asp, secure.asp, kb.asp, jobsel.asp


=======================================================================================
Version 4.0.0.63
=======================================================================================

1. New password encryption

Items affected: lbeweb40.dll, oplogin.asp


=======================================================================================
Version 4.0.0.62
=======================================================================================

1. When you action a Job that has previously been placed On Hold, the target completion date is updated
to reflect the time already spent On Hold.  Similarly if you close a Parent Job, any Child jobs that
were on hold will have their target completion date updated for the period spent On Hold.

Items affected: lbeweb40.dll, jobedit.asp

=======================================================================================
Version 4.0.0.61
=======================================================================================

1. If preview Job message before sending, and if only the operator is receiving the message, url for the
direct link to the job now goes via the oplogin page. If the guest is receiving the message (regardless of whether
the operator is also included in the recipients), the url goes via gstlogin.asp

2. "Actioned by" defaults to the logged in operator

Items affected: lbeweb40.dll, jobedit.asp


=======================================================================================
No Version change - modification to jobedit.asp only
=======================================================================================

1. Can specify a default problem value for new jobs (not children). To do so, create a file newjob.txt
with the required contents in the same folder as the web helpdesk

Items affected: jobedit.asp, new file:newjob.txt.

Copy both files into the folder you installed LBE Web Helpdesk into.

=======================================================================================
Version 4.0.0.60
=======================================================================================

1. Fixed error when deleting Operator if using Sql Server as the database

Items affected: Sql Server database change only

SQL SERVER
==========

Run the following from SQL Server Query Analyzer:

use lbehelpdesk
GO

ALTER TABLE [dbo].[opactivity] drop CONSTRAINT [FK_opactivity_jobs]
GO

ALTER TABLE [dbo].[opactivity] drop CONSTRAINT [FK_opactivity_users]
GO



=======================================================================================
Version 4.0.0.59
=======================================================================================

1. Can now specify multiple email address (separated by semi-colon) for operators or contacts.
E.g. this allows you to specify more than one address to be notified of auto-escalation.
2. Now sends different messages to operator and contact, the job link now takes them to the appropriate login page.

Items affected: lbweb40.dll, escntfy.asp, linked.asp

=======================================================================================
Version 4.0.0.54
=======================================================================================

1. Email link in confirmation email sent to customer contact now takes them to the guest login, not operator login.
2. Linked files can now appear as http: links. See new section in global.asa

Items affected: lbweb40.dll, secure.asp, global.asa linksel.asp, linkupdate.asp, help.htm

N.B. Back up your existing global.asa and copy your settings from the old to the new global.asa

No database changes.

=======================================================================================
No Version change, modified asp pages only
=======================================================================================

1. Can now create a new job direct from the Asset search page
2. When create a new job, a contact is not pre-selected (unless you have clicked the link from Customers, Dept, Contact or Assets)

Items affected: assetsel.asp, jobedit.asp

No database changes.
No dll changes.


=======================================================================================
Version 4.0.0.53
=======================================================================================

1. Fixed reports:
Helpdesk Spending per Customer
Helpdesk Spending per Customer/Department
Helpdesk Spending per Customer/Department/Contact

2. Fixed "Invalid use of Null" when saving a new job if using Oracle database.

3. Fixed error when add a new operator using the  + button whilst Actioning a Job

Items affected: lbeweb40.dll, repspencus.asp, repspendep.asp, repspencon.asp, jobupdate.asp

No database changes.

=======================================================================================
Version 4.0.0.52
=======================================================================================

1. Fixed minor SQL Server related bugs.

=======================================================================================
Version 4.0.0.50
=======================================================================================

1. Job History does not repeat "ASSIGNED TO:" information unless this changes.
2. Addition of a new feature sends notification email to assigned operator and/or specified email address when a job is automatically escalated.
3. When a Guest has a Job open, the "Currently Open By" shows the guest's email address rather than "Guest"
4. Minor correction to uploaded filename to use "/" rather than "\"

The following have been changed/added:

1. New page (escntfy.asp) to manage notification options.
2. Modifications to the following pages: maintmain.asp, opedit.asp, opupdate.asp, jobsel.asp, jobedit.asp, jobupdate.asp, secure.asp, pagehead.asp, pagehead_autorefresh.asp, upload.asp, testfile.asp
3. A replacement dll - Unless you have installed the complete new setup for this version, you will need to re-register lbeweb40.dll with regsvr32
4. Modifications to the database.  If you are upgrading an earlier database, you will have to run the following queries:

ACCESS
=====
Open the database in Access 2000 and run the following queries

ALTER TABLE system add column  escntfyop bit, escntfyeml text(255) null
UPDATE  SYSTEM set  escntfyop = 1
DELETE FROM opwindowsetting where winname = 'FRMODUJOBSEMAIL'


ORACLE
======

Run the following scripts:

ALTER table system add  escntfyop number (1,0) DEFAULT (1);
ALTER table system add  escntfyeml varchar2(255);
UPDATE  SYSTEM set  escntfyop = 1;
DELETE FROM opwindowsetting where winname = 'FRMODUJOBSEMAIL';
COMMIT;

SQL SERVER
==========

Run the following script:

use lbehelpdesk
GO
ALTER table system add  escntfyop bit DEFAULT (1)
GO
ALTER table system add  escntfyeml varchar(255)
GO
UPDATE  SYSTEM set  escntfyop = 1
GO
DELETE FROM opwindowsetting where winname = 'FRMODUJOBSEMAIL';
GO


=======================================================================================
Version 4.0.0.43 28 Sep 2001
=======================================================================================

Fixed bug when editing job and add new contact using the + button - only applied if using organization type B.


=======================================================================================
Version 4.0.0.41 27 Aug 2001
=======================================================================================
(changes to .asp pages only)

1. Fixed duplication of Address line 4 in Job History  (jobsel.asp).
2. Fixed incorrect formatting if Job history contain a url tag(jobsel.asp).
3. Modified format of date on Asset edit page (assetedit.asp)
4. Page header reformatted to fill page width (pagehead.asp)
5. Edit job page reformatted to fill page width (jobedit.asp)

=======================================================================================
Version 4.0.0.40  21 July 2001
=======================================================================================

1. E-mail generated when action a Job does not contain a "TO DO" section if the "To Do" is empty


=======================================================================================
Version 4.0.0.38  June 10 2001
=======================================================================================

1. Fixed problem which might give "Unterminated string constant" when click on link to action a Job which is already opened by another operator.
2. Fixed missing "Organization structure" link on Maintenance and relevant checkbox on Edit operator.

=======================================================================================
Version 4.0.0.35  June 4 2001
=======================================================================================

1. Jobedit.asp  - addition of client-side javascript to prevent double-clicking of the submit button
2. Assetsel.asp - fix to bug which gave incorrect results when searching for a particular asset type
3. Securent.asp - fix to retrieve username correctly when accessed from a DMZ


=======================================================================================
Version 4.0.0.33  May 2001
=======================================================================================
No version change, just update to jobsel.asp which implements  a warning message if an operator tries to Action a Job that is already being Actioned by another user.  Also prevents a Guest users from Actioning that Job in the same circumstances.

=======================================================================================
Version 4.0.0.33  May 2001
=======================================================================================

1. Error "You tried to commit or rollback a transaction without first beginning a transaction" when close parent job with one child Job which has been completed
2. Fixed problems with NT authenication (securent.asp)
3.  Change to Detailed Operator Activity sorted by Operator/Date to allow you to select a particular operator (or all), and to display the first 255 characters of the Problem.  This makes these reports more suitable as the basis for timesheets.
4. The ability to specify which closed jobs are in the Knowledge base.
5. Fixed minor bug in Assets selection when Customer name contains an apostrophe.


=======================================================================================
Version 4.0.0 Mar 2001
=======================================================================================
Automatic escalation.
Link files to Jobs - useful for e.g. screen dumps of error messages.
New Job Status - 'On Hold'.
Cascading deleted - e.g. deleting a Customer will delete all related records.
Can hide records (e.g. Customers) without deleting them.
Manage support contracts by expiry date and/or number of new Jobs.
Job Target date changes when select a new Priority.
Complete control over what Customer/Dept/Contact address information is included in the History.
Close any child Jobs when closing a Parent Job.
Individual Action Notes now stored in Operator Activity as well as in the Job History
Optionally allow operator to only see those Jobs assigned to them.
Specify Organization Structure that you are supporting and the system adapts. E.g. if you are dealing with internal customers only, select "Single Customer, Multiple Departments" and the system will hide references and input fields related to Customer in most windows
Use of drop-downs/search boxes is now a personal preference which can be chosen by each operator.
Link Assets to Contacts.

=======================================================================================
Version 1.4 Aug 2000
=======================================================================================
Support for Oracle.
Option to use search boxes (not dropdowns) for Customer/Dept/Contact/Asset selection.
New child jobs now inherit the parent's contact and asset.
Only changed items are put into Job History when a Job is actioned.
Option to select Ascending or Descending sort order on search pages.
Search pages automatically retrieve when first select them.
Color coding in  Jobs Search page dependent on Status (see lbe.css style sheet if you wish to change the colors).
Hide custom fields if you make the name of the custom field empty.
Fixed several minor bugs.

=======================================================================================
Version 1.3 July 2000
=======================================================================================
Complete re-design of web pages.
Merged previous Professional and Enterprise editions into one version that can use either MS Access or MS Sql Server as a database.
Greater control over customer information that appears in Job History.
Empty fields don't appear on the Search pages.


=======================================================================================
Version 1.2 July 1999
=======================================================================================
Initial release


